* prog_1b.do

/* Programme zu:
Schimpl-Neimanns, Bernhard (2021): Ausfallkorrektur und Designgewichtung im 
Mikrozensuspanel 2012 – 2015. GESIS Papers 2021|14. Köln: GESIS.
https://doi.org/10.21241/ssoar.75410
https://www.gesis.org/missy/files/documents/MZ/Programme_GESIS-Report_2021_14.zip

Programmautor: Bernhard Schimpl-Neimanns
*/

* Vereinheitlichen der durch Zusammenführung mit "append" veränderten Value Labels.

* Stata 16.1

set dp comma
set linesize 255
set varabbrev off
cd "<Verzeichnis>" // eintragen, z. B. C:\Daten\mzpanel

log using prog_1b.log, text 

* erstellt mit https://www.gesis.org/missy/files/documents/MZ/panel_12131415_v1.do
*    und prog_1a.txt
use panel_v1a.dta, replace

* Value Label für MZP 2012-2015 aus MZ 2012 ergänzt um Änderungen 2013-2015
label define ef1_l      1 `"[1] Schleswig-Holstein"', add modify
label define ef1_l      2 `"[2] Hamburg"', add modify
label define ef1_l      3 `"[3] Niedersachsen"', add modify
label define ef1_l      4 `"[4] Bremen"', add modify
label define ef1_l      5 `"[5] Nordrhein-Westfalen"', add modify
label define ef1_l      6 `"[6] Hessen"', add modify
label define ef1_l      7 `"[7] Rheinland-Pfalz"', add modify
label define ef1_l      8 `"[8] Baden-Württemberg"', add modify
label define ef1_l      9 `"[9] Bayern"', add modify
label define ef1_l     10 `"[10] Saarland"', add modify
label define ef1_l     11 `"[11] Berlin"', add modify
label define ef1_l     12 `"[12] Brandenburg"', add modify
label define ef1_l     13 `"[13] Mecklenburg-Vorpommern"', add modify
label define ef1_l     14 `"[14] Sachsen"', add modify
label define ef1_l     15 `"[15] Sachsen-Anhalt"', add modify
label define ef1_l     16 `"[16] Thüringen"', add modify
label define ef4_l     -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef5a_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef5a_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef5b_l     0 `"[0] Haushalt nicht aus dem Jahresüberhang"', add modify
label define ef5b_l     1 `"[1] Haushalt aus dem Jahresüberhang mit Frageprogramm aus dem Vorjahr"', add modify
label define ef5b_l     2 `"[2] Haushalt aus dem Jahresüberhang mit Frageprogramm aus dem aktuellen Jahr"', add modify
label define ef5b_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef5b_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef6_l     -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef6_l     -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef6_l      1 `"[1] Ohne Ad-hoc-Modul"', add modify
label define ef6_l      2 `"[2] Mit Ad-hoc-Modul"', add modify
label define ef7_l     -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef7_l     -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef7_l      1 `"[1] Telefoninterview durch Statistisches Landesamt"', add modify
label define ef7_l      2 `"[2] Selbstausfüllerbogen"', add modify
label define ef7_l      3 `"[3] Laptopinterview"', add modify
label define ef7_l      4 `"[4] Telefoninterview durch Laptopinterviewer"', add modify
label define ef12_l     1 `"[1] 1. Quartal"', add modify
label define ef12_l     2 `"[2] 2. Quartal"', add modify
label define ef12_l     3 `"[3] 3. Quartal"', add modify
label define ef12_l     4 `"[4] 4. Quartal"', add modify
label define ef17_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef17_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef17_l    -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef17_l     1 `"[1] Eigene Beteiligung"', add modify
label define ef17_l     2 `"[2] Beteiligung durch eine andere Person"', add modify
label define ef17_l     9 `"[9] Keine Angabe"', add modify
label define ef29_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef29_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef29_l     1 `"[1] Erwerbstätige"', add modify
label define ef29_l     2 `"[2] Erwerbslose"', add modify
label define ef29_l     3 `"[3] Arbeitsuchende Nichterwerbspersonen"', add modify
label define ef29_l     4 `"[4] Sonstige Nichterwerbspersonen"', add modify
label define ef30_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef30_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef30_l     1 `"[1] Bevölkerung am Hauptwohnsitz ohne weiteren Wohnsitz"', add modify
label define ef30_l     2 `"[2] Bevölkerung am Hauptwohnsitz mit weiterem Wohnsitz"', add modify
label define ef30_l     3 `"[3] Bevölkerung am Nebenwohnsitz (mit weiterem Wohnsitz)"', add modify
label define ef31_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef31_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef31_l     1 `"[1] Bevölkerung in Privathaushalten"', add modify
label define ef31_l     2 `"[2] Bevölkerung in Gemeinschaftsunterkünften"', add modify
label define ef37_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef37_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef37_l    -1 `"[-1] Entfällt (Gemeinschaftsunterkunft)"', add modify
label define ef37_l     1 `"[1] Bezugsperson im Haushalt (erste eingetragene Person)"', add modify
label define ef37_l     2 `"[2] Mit der Haushaltsbezugsperson verwandt oder verschwägert"', add modify
label define ef37_l     9 `"[9] Nicht verwandt oder verschwägert mit der Haushaltsbezugsperson"', add modify
label define ef44_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef44_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef44_l     0 `"[0] 0 Jahre"', add modify
label define ef44_l     1 `"[1] 1 Jahr"', add modify
label define ef44_l    94 `"[94] 94 Jahre"', add modify
label define ef44_l    95 `"[95] 95 Jahre und älter"', add modify
label define ef45_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef45_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef45_l    -5 `"[-5] Entfällt (Keine Wiederholungsbefragung)"', add modify
label define ef45_l     1 `"[1] Ja"', add modify
label define ef45_l     8 `"[8] Nein"', add modify
label define ef45_l     9 `"[9] Keine Angabe"', add modify
label define ef46_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef46_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef46_l     1 `"[1] Männlich"', add modify
label define ef46_l     2 `"[2] Weiblich"', add modify
label define ef47_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef47_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef47_l  1909 `"[1909] 1910 oder früher geboren"', add modify
label define ef47_l  1912 `"[1912] 1911 oder 1912"', add modify
label define ef47_l  1913 `"[1913] 1913"', add modify
label define ef47_l  1914 `"[1914] 1914 oder 1915 (MZ14)"', add modify
label define ef47_l  2011 `"[2011] 2011"', add modify
label define ef47_l  2012 `"[2012] 2012"', add modify
label define ef47_l  2013 `"[2013] 2013 (MZ13)"', add modify
label define ef47_l  2014 `"[2014] 2014 (MZ14)"', add modify
label define ef47_l  2015 `"[2015] 2015 (MZ15)"', add modify
label define ef63_l    -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef63_l    -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef225_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef225_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef225_l   -5 `"[-5] Entfällt (Person 75 Jahre oder älter)"', add modify
label define ef225_l   -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef225_l    1 `"[1] Arbeitslos gemeldet"', add modify
label define ef225_l    2 `"[2] Nur arbeitsuchend gemeldet"', add modify
label define ef225_l    8 `"[8] Nein"', add modify
label define ef225_l    9 `"[9] Keine Angabe"', add modify
label define ef287_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef287_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef287_l   -5 `"[-5] Entfällt (Person ohne Schulbesuch im letzten Jahr)"', add modify
label define ef287_l    1 `"[1] Ja"', add modify
label define ef287_l    2 `"[2] Nein, wegen Übergang in eine andere Schule/Hochschule bzw. Ausbildung"', add modify
label define ef287_l    8 `"[8] Nein, aus anderen Gründen"', add modify
label define ef287_l    9 `"[9] Keine Angabe"', add modify
label define ef289_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef289_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef289_l   -5 `"[-5] Entfällt (Person ohne Schulbesuch i.d. letzten 12 Monaten)"', add modify
label define ef289_l    1 `"[1] Grundschule"', add modify
label define ef289_l    2 `"[2] Orientierungsstufe 5./6. Klasse (z.B. an Grund- oder weiterführenden Schulen, Förderstufe)"', add modify
label define ef289_l    3 `"[3] Förder-, Sonderschule, Sonderpädagogische Förderung"', add modify
label define ef289_l    4 `"[4] Schule mit mehreren Bildungsgängen (z.B. Mittel-, Ober-, Regel-, Sekundar-, Regionale Schule)"', add modify
label define ef289_l    5 `"[5] Hauptschule, Abendhauptschule"', add modify
label define ef289_l    6 `"[6] Realschule, Abendrealschule"', add modify
label define ef289_l    7 `"[7] Gesamtschule"', add modify
label define ef289_l    8 `"[8] Waldorfschule"', add modify
label define ef289_l    9 `"[9] Gymnasium"', add modify
label define ef289_l   10 `"[10] Berufliches, auch Wirtschafts- oder technisches Gymnasium"', add modify
label define ef289_l   11 `"[11] Abendgymnasium, Kolleg"', add modify
label define ef289_l   12 `"[12] Berufliche Schule, die zur mittleren Reife führt (z.B. Berufsfachschule)"', add modify
label define ef289_l   13 `"[13] Berufliche Schule, die zur Hochschul-/Fachhochschulreife führt: Fachoberschule"', add modify
label define ef289_l   14 `"[14] Berufliche Schule, die zur Hochschul-/Fachhochschulreife führt: Berufsfachschule"', add modify
label define ef289_l   15 `"[15] Berufliche Schule, die zur Hochschul-/Fachhochschulreife führt: Berufsoberschule, technische Oberschule"', add modify
label define ef289_l   16 `"[16] Berufsvorbereitungsjahr"', add modify
label define ef289_l   17 `"[17] Berufsgrundbildungsjahr"', add modify
label define ef289_l   18 `"[18] Berufsschule"', add modify
label define ef289_l   19 `"[19] Berufsfachschule, die einen Berufsabschluss vermittelt"', add modify
label define ef289_l   20 `"[20] Ausbildungsstätten/Schulen für Gesundheits-­ und Sozialberufe: einjährig (z.B. Pflegevorschule)"', add modify
label define ef289_l   21 `"[21] Ausbildungsstätten/Schulen für Gesundheits-­ und Sozialberufe: zwei- oder dreijährig (z.B. Kranken-, Altenpflege, MTA, PTA) (MZ15: 3-jährig)"', add modify
label define ef289_l   22 `"[22] Fachschule"', add modify
label define ef289_l   23 `"[23] Fachakademie (nur in Bayern)"', add modify
label define ef289_l   24 `"[24] Berufsakademie"', add modify
label define ef289_l   25 `"[25] Verwaltungsfachhochschule"', add modify
label define ef289_l   26 `"[26] Fachhochschule, Duale Hochschule Baden-Württemberg"', add modify
label define ef289_l   27 `"[27] Universität, wissenschaftliche Hochschule, Kunsthochschule"', add modify
label define ef289_l   28 `"[28] Promotionsstudium"', add modify
label define ef289_l   29 `"[29] Ausbildungsstätten/Schulen für Gesundheits-/Sozialberufe: 3-jährig (z.B. Physiotherapie, Gesundeits- und Krankenpflege, MTA, Altenpflege) (MZ15)"', add modify
label define ef289_l   30 `"[30] Ausbildungsstätten/Schulen für Erzieher (MZ15)"', add modify
label define ef289_l   99 `"[99] Keine Angabe"', add modify
label define ef290_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef290_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef290_l   -5 `"[-5] Entfällt (kein Schulbesuch i.d. letzten 12 Monaten; kein Schüler an allgemeinbildender Schule)"', add modify
label define ef290_l    1 `"[1] Klassenstufe 1 bis 4"', add modify
label define ef290_l    2 `"[2] Klassenstufe 5 bis 9/10"', add modify
label define ef290_l    3 `"[3] Gymnasiale Oberstufe"', add modify
label define ef309_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef309_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef309_l   -5 `"[-5] Entfällt (Schüler an allgemeinbildender Schule)"', add modify
label define ef309_l   -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef309_l    1 `"[1] Ja"', add modify
label define ef309_l    8 `"[8] Nein/noch nicht"', add modify
label define ef309_l    9 `"[9] Keine Angabe"', add modify
label define ef310_l   -9 `"[-9] Entfällt (Fehler in der Filterführung)"', add modify
label define ef310_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef310_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef310_l   -5 `"[-5] Entfällt (Person ohne allgemeinbildenden Schulabschluss)"', add modify
label define ef310_l   -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef310_l    1 `"[1] Haupt-(Volks-)schulabschluss"', add modify
label define ef310_l    2 `"[2] Polytechnische Oberschule der DDR mit Abschluss der 8. oder 9. Klasse"', add modify
label define ef310_l    3 `"[3] Realschulabschluss (Mittlere Reife) oder gleichwertiger Abschluss"', add modify
label define ef310_l    4 `"[4] Fachhochschulreife"', add modify
label define ef310_l    5 `"[5] Allgemeine oder fachgebundene Hochschulreife (Abitur)"', add modify
label define ef310_l    6 `"[6] Abschluss nach höchstens 7 Jahren Schulbesuch"', add modify
label define ef310_l    7 `"[7] Polytechnische Oberschule der DDR mit Abschluss der 10. Klasse"', add modify
label define ef310_l    9 `"[9] Keine Angabe"', add modify
label define ef311_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef311_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef311_l   -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef311_l    1 `"[1] Ja"', add modify
label define ef311_l    8 `"[8] Nein/noch nicht"', add modify
label define ef311_l    9 `"[9] Keine Angabe"', add modify
label define ef312_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef312_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef312_l   -5 `"[-5] Entfällt (Person ohne beruflichen Ausbildungsabschluss)"', add modify
label define ef312_l   -3 `"[-3] Entfällt (Person unter 15 Jahren)"', add modify
label define ef312_l    1 `"[1] Anlernausbildung oder berufliches Praktikum"', add modify
label define ef312_l    2 `"[2] Berufsvorbereitungsjahr"', add modify
label define ef312_l    3 `"[3] Lehre, Berufsausbildung im dualen System"', add modify
label define ef312_l    4 `"[4] Berufsqualifizierender Abschluss an einer Berufsfachschule, Kollegschule"', add modify
label define ef312_l    5 `"[5] Vorbereitungsdienst für den mittleren Dienst in der öffentlichen Verwaltung"', add modify
label define ef312_l    6 `"[6] Ausbildungsstätten/Schulen für Gesundheits-­ und Sozialberufe: einjährig (z.B. Pflegevorschule)"', add modify
label define ef312_l    7 `"[7] Ausbildungsstätten/Schulen für Gesundheits-­ und Sozialberufe: zwei- oder dreijährig (z.B. Kranken-, Altenpflege, MTA, PTA)(MZ14/15: 2-jährig)"', add modify
label define ef312_l    8 `"[8] Meister/-in, Techniker/-in oder gleichwertiger Fachschulabschluss"', add modify
label define ef312_l    9 `"[9] Fachschule der DDR"', add modify
label define ef312_l   10 `"[10] Fachakademie (nur in Bayern)"', add modify
label define ef312_l   11 `"[11] Berufsakademie: Diplom, Bachelor, Master, Magister, Staatsprüfung, Lehramtsprüfung"', add modify
label define ef312_l   12 `"[12] Verwaltungsfachhochschule: Diplom, Bachelor, Master, Magister, Staatsprüfung, Lehramtsprüfung"', add modify
label define ef312_l   13 `"[13] Fachhochschule: Diplom, Bachelor, Master, Magister, Staats-, Lehramtsprüfung (auch: Ingenieurschule, Hochschule für angewandte Wissenschaften, Duale Hochschule Baden-Württemberg)"', add modify
label define ef312_l   14 `"[14] Universität: Diplom, Bachelor, Master, Magister, Staats-, Lehramtsprüfung (wissenschaftliche Hochschule, auch: Kunsthochschule, Pädagogische Hochschule, Theologische Hochschule)"', add modify
label define ef312_l   15 `"[15] Promotion"', add modify
label define ef312_l   16 `"[16] Ausbildungsstätten/Schulen für Gesundheits-/Sozialberufe: 3-jährig (z.B. Physiotherapie, Gesundeits- und Krankenpflege, MTA, Altenpflege)(MZ14/15)"', add modify
label define ef312_l   17 `"[17] Ausbildungsstätten/Schulen für Erzieher(MZ14/15)"', add modify
label define ef312_l   99 `"[99] Keine Angabe"', add modify
label define ef371_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef371_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef371_l    1 `"[1] Deutsche"', add modify
label define ef371_l    2 `"[2] Ausländer aus EU-Staaten"', add modify
label define ef371_l    3 `"[3] Ausländer aus Nicht-EU-Staaten"', add modify
label define ef413_l   -8 `"[-8] Entfällt (Leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef413_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef413_l    1 `"[1] Eigene Erwerbstätigkeit/Berufstätigkeit"', add modify
label define ef413_l    2 `"[2] Arbeitslosengeld I"', add modify
label define ef413_l    3 `"[3] Rente, Pension"', add modify
label define ef413_l    4 `"[4] Einkünfte der Eltern, auch Einkünfte von dem Lebens- oder Ehepartner oder von anderen Angehörigen"', add modify
label define ef413_l    5 `"[5] Eigenes Vermögen, Ersparnisse, Zinsen, Vermietung, Verpachtung, Altenteil, Lebensversicherung, Versorgungswerk"', add modify
label define ef413_l    6 `"[6] Sozialhilfe, z.B. Grundsicherung im Alter oder bei Erwerbsminderung, Eingliederungshilfe, Hilfe zur Pflege, laufende Hilfe zum Lebensunterhalt"', add modify
label define ef413_l    7 `"[7] Leistungen nach Hartz IV (ALG II, Sozialgeld)"', add modify
label define ef413_l    8 `"[8] Sonstige Unterstützungen, z. B. BAföG, Vorruhestandsgeld, Stipendium, Pflegeversicherung, Asylbewerberleistungen, Pflegegeld für Pflegekinder oder -eltern, Krankengeld"', add modify
label define ef413_l    9 `"[9] Elterngeld (früher Erziehungsgeld)"', add modify
label define ef436_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef436_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef436_l    1 `"[1] Unter 150 Euro"', add modify
label define ef436_l    2 `"[2] 150 bis unter 300 Euro"', add modify
label define ef436_l    3 `"[3] 300 bis unter 500 Euro"', add modify
label define ef436_l    4 `"[4] 500 bis unter 700 Euro"', add modify
label define ef436_l    5 `"[5] 700 bis unter 900 Euro"', add modify
label define ef436_l    6 `"[6] 900 bis unter 1 100 Euro"', add modify
label define ef436_l    7 `"[7] 1 100 bis unter 1 300 Euro"', add modify
label define ef436_l    8 `"[8] 1 300 bis unter 1 500 Euro"', add modify
label define ef436_l    9 `"[9] 1 500 bis unter 1 700 Euro"', add modify
label define ef436_l   10 `"[10] 1 700 bis unter 2 000 Euro"', add modify
label define ef436_l   11 `"[11] 2 000 bis unter 2 300 Euro"', add modify
label define ef436_l   12 `"[12] 2 300 bis unter 2 600 Euro"', add modify
label define ef436_l   13 `"[13] 2 600 bis unter 2 900 Euro"', add modify
label define ef436_l   14 `"[14] 2 900 bis unter 3 200 Euro"', add modify
label define ef436_l   15 `"[15] 3 200 bis unter 3 600 Euro"', add modify
label define ef436_l   16 `"[16] 3 600 bis unter 4 000 Euro"', add modify
label define ef436_l   17 `"[17] 4 000 bis unter 4 500 Euro"', add modify
label define ef436_l   18 `"[18] 4 500 bis unter 5 000 Euro"', add modify
label define ef436_l   19 `"[19] 5 000 bis unter 5 500 Euro"', add modify
label define ef436_l   20 `"[20] 5 500 bis unter 6 000 Euro"', add modify
label define ef436_l   21 `"[21] 6 000 bis unter 7 500 Euro"', add modify
label define ef436_l   22 `"[22] 7 500 bis unter 10 000 Euro"', add modify
label define ef436_l   23 `"[23] 10 000 bis unter 18 000 Euro"', add modify
label define ef436_l   24 `"[24] 18 000 und mehr Euro"', add modify
label define ef436_l   50 `"[50] Selbstständiger Landwirt in der Haupttätigkeit"', add modify
label define ef436_l   90 `"[90] Kein Einkommen"', add modify
label define ef436_l   99 `"[99] Keine Angabe"', add modify
label define ef438_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef438_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef438_l    0 `"[0] Kein Einkommen"', add modify
label define ef443_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef443_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef443_l   -5 `"[-5] Entfällt (Person unter 1 Jahr)"', add modify
label define ef443_l    1 `"[1] Arbeitnehmer, Beamter, Auszubildender"', add modify
label define ef443_l    2 `"[2] Selbstständiger, Freiberufler ohne Beschäftigte"', add modify
label define ef443_l    3 `"[3] Selbstständiger, Freiberufler mit Beschäftigten"', add modify
label define ef443_l    4 `"[4] Unbezahlt mithelfender Familienangehöriger"', add modify
label define ef443_l    5 `"[5] Grundwehr-/Zivildienstleistender (MZ12)"', add modify
label define ef443_l    6 `"[6] Person im [Bundes-]Freiwilligendienst (z.B. Soziales Jahr) (ab MZ13: Bundesfreiw.)"', add modify
label define ef443_l    7 `"[7] Schüler, Student"', add modify
label define ef443_l    8 `"[8] Dauerhaft erwerbsunfähige Person"', add modify
label define ef443_l    9 `"[9] Ruhestand, Vorruhestand"', add modify
label define ef443_l   10 `"[10] Arbeitsloser"', add modify
label define ef443_l   11 `"[11] Hausfrau/Hausmann"', add modify
label define ef443_l   12 `"[12] Sonstiges"', add modify
label define ef443_l   13 `"[13] Person im freiwilligen Wehrdienst"', add modify
label define ef443_l   14 `"[14] Ruhestand, Vorruhestand (MZ15)"', add modify
label define ef443_l   99 `"[99] Keine Angabe"', add modify
label define ef451_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef451_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', modify
label define ef451_l   -5 `"[-5] Entfällt (Person unter 1 Jahr)"', modify
label define ef451_l    1 `"[1] Ja"', modify
label define ef451_l    8 `"[8] Nein"', modify
label define ef451_l    9 `"[9] Keine Angabe"', modify
label define ef455_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef455_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef455_l   -5 `"[-5] Entfällt (Person unter 1 Jahr; gleicher Wohnsitz wie vor 12 Monaten; keine Angabe in EF451 oder EF452; früherer Wohnsitz lag in der Bundesrepublik Deutschland)"', add modify
label define ef455_l  121 `"MZ15: Albanien"', add modify
label define ef455_l  122 `"MZ15: Bosnien und Herzegowina"', add modify
label define ef455_l  124 `"MZ14: 124/143; Belgien(124); Luxemburg(143)"', add modify
label define ef455_l  125 `"Bulgarien"', add modify
label define ef455_l  126 `"MZ15: 126/128/157: Schweden(157); Dänemark(126); Finnland(128)"', add modify
label define ef455_l  129 `"Frankreich"', add modify
label define ef455_l  130 `"MZ14: 130/144: Kroatien(130); Mazedonien(144) | MZ15: Kroatien"', add modify
label define ef455_l  131 `"MZ15: 127/131/139/142/145/181: Estland(127); Slowenien(131); Lettland(139); Litauen(142); Malta(145); Zypern(181)"', add modify
label define ef455_l  134 `"Griechenland"', add modify
label define ef455_l  137 `"Italien"', add modify
label define ef455_l  142 `"MZ14: 127/139/142: Litauen(142); Estland(127); Lettland(139)"', add modify
label define ef455_l  144 `"MZ15: Mazedonien"', add modify
label define ef455_l  148 `"MZ12,13,15: 124/143/148: Belgien (124); Luxemburg(143); Niederlande(148) | MZ14: Niederlande"', add modify
label define ef455_l  150 `"MZ15: Kosovo"', add modify
label define ef455_l  151 `"Österreich"', add modify
label define ef455_l  152 `"Polen"', add modify
label define ef455_l  154 `"Rumänien"', add modify
label define ef455_l  157 `"MZ12-14: 126/128/157: Dänemark(126); Finnland(128); Schweden(157)"', add modify
label define ef455_l  158 `"MZ12: 136/141/149/158: Island(136); Liechtenstein(141); Norwegen(149); Schweiz(158) | MZ13: 149/158 | MZ14, 15: 136/149/158"', add modify
label define ef455_l  160 `"MZ12-13: 144/146/160/166/169: Moldau(146); Moldawien(144); Russische Föderation(160); Ukraine(166); Belarus(169) | MZ14-15: Russische Föderation"', add modify
label define ef455_l  161 `"153/161 Portugal(153); Spanien(161)"', add modify
label define ef455_l  163 `"Türkei"', add modify
label define ef455_l  164 `"MZ12-13: 127/131/139/142/145/155/164/181: Estland(127); Slowenien(131); Lettland(139); Litauen(142); Malta(145); Slowakei(155); Tschechische Republik(164); Zypern(181) | MZ13: 127/131/139/142/145/155/164/181 | MZ14: 131/155/164/181 | MZ15: 155/164"', add modify
label define ef455_l  165 `"Ungarn"', add modify
label define ef455_l  166 `"MZ15: 146/166/169: Moldau(146); Ukraine (166); Belarus(169)"', add modify
label define ef455_l  168 `"Irland(135); Vereinigtes Königreich(168)"', add modify
label define ef455_l  170 `"MZ12: 121/122/123/130/140/147/150/156/167/170: Albanien(121); Bosnien und Herzegowina(122); Andorra(123); Kroatien(130); Montenegro(140); Monaco(147); Kosovo(150); San Marino(156); Vatikanstadt(167); Serbien(170) | MZ13: 121/122/130/140/150/170 | MZ14: 121/122/140/146/150/166/169/170 | MZ15: 140/170"', add modify
label define ef455_l  209 `"MZ12: Afrika | MZ13: 201/209/221/225/231/238/242/243/252/257/262/263/267/271-273/282/283/285/286/287 | MZ14: Afrika (ohne Nordafrika)"', add modify
label define ef455_l  224 `"MZ15: 200-299: Ägypten, Algerien, Libyen, Tunesien(201); Sonstiges Afrika(209); Eritrea(224); Äthiopien(225); Côte d'Ivoire(231); Nigeria(232); Gambia(237); Ghana(238); Kenia(243); Libyen(248); Madagaskar(249); Marokko(252); Mosambik(254); Guinea(261); Kamerun(262); Südafrika(263); Namibia(267); Senegal(269); Somalia(273); Sudan(277); Tansania(282); Togo(283); Tunesien(285); Ägypten(287)"', add modify
label define ef455_l  287 `"MZ14: 201/221/252/285/287: Nordafrika: Ägypten, Algerien, Libyen, Tunesien(201,287); Algerien(221); Marokko(252); Tunesien(285)"', add modify
label define ef455_l  327 `"MZ12: Südamerika | MZ13: 308/323/326/327/332/349/359/361/365 | MZ14: Südamerika (308,323,326,327,332,336,349,359,361,367) | MZ15: 323/326/327/332/345/349/361/365/367"', add modify
label define ef455_l  348 `"MZ12: Kanada; Mittelamerika und Karibik | MZ13: Kanada | MZ14: Kanada, Mittelamerika und Karibik: Kanada(348); Mittelamerika und Karibik(301,335,346,351,353,354,355)"', add modify
label define ef455_l  353 `"MZ15: 301/335/346/348/351/353/354: (Sonstiges) Mittelamerika und Karibik(301); Dominikanische Republik(335); Haiti(346); Kanada(348); Kuba(351); Mexiko(353); Nicaragua(354)"', add modify
label define ef455_l  368 `"Vereinigte Staaten von Amerika (USA)"', add modify
label define ef455_l  423 `"MZ14: Süd- und Südostasien (ohne Indien) (404,423,431,432,434,437,449,458,460,461,462,467,474,476, 482) | MZ15: 401/422/423/425/430/444/450: Armenien, Aserbaidschan, Georgien(401); Armenien(422); Afghanistan(423); Aserbaidschan(425); Georgien(430); Kasachstan(444); Kirgisistan(450)"', add modify
label define ef455_l  430 `"MZ14: 422/430/444/470: Georgien(430); Armenien(422); Kasachstan(444); Tadschikistan(470)"', add modify
label define ef455_l  432 `"MZ15: 431/432/437/454/462/474/476/482/483: Sri Lanka(431); Vietnam(432); Indonesien(437); Malediven(454); Philippinen(462); Singapur(474); Thailand(476); Malaysia(482); Timor-Leste(483)"', add modify
label define ef455_l  436 `"Indien"', add modify
label define ef455_l  438 `"MZ12: Naher und Mittlerer Osten | MZ13: 422/425/424/430/438/439/441/421/445/447/451/472/475/401/403/469 | MZ15: 438/439: Irak(438); Iran(439)"', add modify
label define ef455_l  439 `"MZ14: 421/438/439/441/445/451/469/472: Iran(439); Jemen(421); Irak(438); Israel(441); Jordanien(445); Libanon(451); Vereinigte Arabische Emir.(469); Saudi-Arabien(472)"', add modify
label define ef455_l  442 `"MZ14: 442/465/991: Japan(442); Taiwan(465); Übrige Welt(991) | MZ15: 405/434/442/457/465/467: Mongolei, Nordkorea, Taiwan(405); Korea, Demokratische Volksrepublik(434); Japan(442); Mongolei(457); Taiwan(465); Korea, Republik (Südkorea)(467)"', add modify
label define ef455_l  445 `"MZ15: 403/421/441/445/447/448/451/469/472: Sonstiger Naher und Mittlerer Osten(403); Jemen(421); Israel(441); Jordanien(445); Katar(447); Kuwait(448); Libanon(451); Vereinigte Arabische Emirate(469); Saudi-Arabien(472)"', add modify
label define ef455_l  461 `"MZ15: 40*4/449/458/460/461: Sonstiges Süd- und Südostasien(404); Laos(449); Nepal(458); Bangladesch(460); Pakistan(461)"', add modify
label define ef455_l  475 `"MZ14-15: Syrien"', add modify
label define ef455_l  476 `"MZ12: Süd- und Südostasien (ohne Indien) | MZ13: 460/437/446/449/482/454/458/461/462/474/431/476/432/404: Süd- und Südostasien: Bangladesch(460); Indonesien(437); Kambodscha(446); Laos(449); Malaysia(482); Malediven(454); Nepal(458); Pakistan(461); Philippinen(462); Singapur(474); Sri Lanka(431); Thailand(476); Vietnam(432); Sonst.Süd- und Südostasien(404)"', add modify 
label define ef455_l  479 `"China"', add modify
label define ef455_l  523 `"MZ12: Zentralasien; Ostasien (ohne China); Australien; Ozeanien; Übrige Welt | MZ13: 423/444/450/457/471/402/442/467/465/405/523/536/997"', add modify
label define ef455_l  536 `"MZ15: 523/536/991: Australien(523); Neuseeland(536); Übrige Welt(991)"', add modify
label define ef455_l  999 `"[999] Keine Angabe"', add modify
label define ef563_l    1 `"[1] Unter 5000 Einwohner"', add modify
label define ef563_l    2 `"[2] 5000 bis unter 20 000 Einwohner"', add modify
label define ef563_l    3 `"[3] 20 000 bis unter 100 000 Einwohner"', add modify
label define ef563_l    4 `"[4] 100 000 bis unter 500 000 Einwohner"', add modify
label define ef563_l    5 `"[5] 500 000 Einwohner und mehr"', add modify
label define ef563_l    6 `"[6] Unter 20 000 Einwohner (Nordrhein-Westfalen, Mecklenburg-Vorpommern, Sachsen-Anhalt)"', add modify
label define ef563_l    7 `"[7] 20 000 bis unter 500 000 Einwohner (Saarland, Brandenburg, Mecklenburg-Vorpommern, Sachsen, Thüringen)"', add modify
label define ef563_l    8 `"[8] Bremen (einziger Schlüssel)"', add modify
label define ef563_l    9 `"[9] Berlin-Ost (einziger Schlüssel)"', add modify
label define ef570_l    1 `"[1] Kleingebäude (Grundauswahl)"', add modify
label define ef570_l    2 `"[2] Mittelgroße Gebäude (Grundauswahl)"', add modify
label define ef570_l    3 `"[3] Großgebäude (Grundauswahl)"', add modify
label define ef570_l    4 `"[4] Gemeinschafts-/Anstaltsunterkünfte (Grundauswahl)"', add modify
label define ef570_l    6 `"[6] Neubauten (Neubauauswahl)"', add modify
label define ef570_l    7 `"[7] Neubauauswahl aktuelles Jahr"', add modify
label define ef663_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef663_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef663_l   -1 `"[-1] Entfällt (Gemeinschaftsunterkunft)"', add modify
label define ef663_l    1 `"[1] 1 Person"', add modify
label define ef663_l    2 `"[2] 2 Personen"', add modify
label define ef663_l    3 `"[3] 3 Personen"', add modify
label define ef663_l    4 `"[4] 4 Personen"', add modify
label define ef663_l    5 `"[5] 5 Personen"', add modify
label define ef663_l    6 `"[6] 6 Personen"', add modify
label define ef663_l    7 `"[7] 7 Personen"', add modify
label define ef663_l    8 `"[8] 8 Personen"', add modify
label define ef663_l    9 `"[9] 9 und mehr Personen"', add modify
label define ef707_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef707_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef707_l   -1 `"[-1] Entfällt (Gemeinschaftsunterkunft)"', add modify
label define ef707_l    1 `"[1] Unter 150 Euro"', add modify
label define ef707_l    2 `"[2] 150 bis unter 300 Euro"', add modify
label define ef707_l    3 `"[3] 300 bis unter 500 Euro"', add modify
label define ef707_l    4 `"[4] 500 bis unter 700 Euro"', add modify
label define ef707_l    5 `"[5] 700 bis unter 900 Euro"', add modify
label define ef707_l    6 `"[6] 900 bis unter 1 100 Euro"', add modify
label define ef707_l    7 `"[7] 1 100 bis unter 1 300 Euro"', add modify
label define ef707_l    8 `"[8] 1 300 bis unter 1 500 Euro"', add modify
label define ef707_l    9 `"[9] 1 500 bis unter 1 700 Euro"', add modify
label define ef707_l   10 `"[10] 1 700 bis unter 2 000 Euro"', add modify
label define ef707_l   11 `"[11] 2 000 bis unter 2 300 Euro"', add modify
label define ef707_l   12 `"[12] 2 300 bis unter 2 600 Euro"', add modify
label define ef707_l   13 `"[13] 2 600 bis unter 2 900 Euro"', add modify
label define ef707_l   14 `"[14] 2 900 bis unter 3 200 Euro"', add modify
label define ef707_l   15 `"[15] 3 200 bis unter 3 600 Euro"', add modify
label define ef707_l   16 `"[16] 3 600 bis unter 4 000 Euro"', add modify
label define ef707_l   17 `"[17] 4 000 bis unter 4 500 Euro"', add modify
label define ef707_l   18 `"[18] 4 500 bis unter 5 000 Euro"', add modify
label define ef707_l   19 `"[19] 5 000 bis unter 5 500 Euro"', add modify
label define ef707_l   20 `"[20] 5 500 bis unter 6 000 Euro"', add modify
label define ef707_l   21 `"[21] 6 000 bis unter 7 500 Euro"', add modify
label define ef707_l   22 `"[22] 7 500 bis unter 10 000 Euro"', add modify
label define ef707_l   23 `"[23] 10 000 bis unter 18 000 Euro"', add modify
label define ef707_l   24 `"[24] 18 000 und mehr Euro"', add modify
label define ef707_l   50 `"[50] Mindestens ein Haushaltsmitglied ist selbstständiger Landwirt in der Haupttätigkeit"', add modify
label define ef707_l   99 `"[99] Keine Angabe"', add modify
label define ef708_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef708_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef708_l   -1 `"[-1] Entfällt (Gemeinschaftsunterkunft))(MZ13)"', add modify
label define ef708_l   -5 `"[-5] Entfällt (Mindestens ein Haushaltsmitglied ist selbstständiger Landwirt in der Haupttätigkeit; keine Angabe)(MZ13)"', add modify
label define ef708_l    0 `"[0] Kein Einkommen (MZ14)"', add modify
label define ef747_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef747_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef747_l   -1 `"[-1] Entfällt (Gemeinschaftsunterkunft)"', add modify
label define ef747_l    1 `"[1] Haupteinkommensbezieher ist Haushaltsbezugsperson (HBP [erste eingetragene Person]) im Haushalt"', add modify
label define ef747_l    2 `"[2] Haupteinkommensbezieher ist Ehepartner der HBP"', add modify
label define ef747_l    3 `"[3] Haupteinkommensbezieher ist Sohn/Tochter der HBP bzw. des Ehepartners der HBP"', add modify
label define ef747_l    4 `"[4] Haupteinkommensbezieher ist (Ur-)Enkel der HBP bzw. des Ehepartners der HBP"', add modify
label define ef747_l    5 `"[5] Haupteinkommensbezieher ist Mutter/Vater der Bezugsperson bzw. des Ehepartners der HBP"', add modify
label define ef747_l    6 `"[6] Haupteinkommensbezieher ist Großmutter/-vater der HBP bzw. des Ehepartners der HBP"', add modify
label define ef747_l    7 `"[7] Haupteinkommensbezieher ist Schwester/Bruder der HBP bzw. des Ehepartners der HBP"', add modify
label define ef747_l    8 `"[8] Haupteinkommensbezieher ist sonstige zur HBP verwandte oder verschwägerte Person der HBP bzw. des Ehepartners der HBP"', add modify
label define ef747_l    9 `"[9] Haupteinkommensbezieher ist nicht verwandt oder verschwägert zur HBP bzw. des Ehepartners der HBP"', add modify
label define ef765_l   -8 `"[-8] Entfällt (leerstehende Wohnung, ausgefallene Privathaushalte und Gemeinschaftsunterkünfte)"', add modify
label define ef765_l   -7 `"[-7] Entfällt (Auswahlbezirk ohne befragten Haushalt)"', add modify
label define ef765_l    1 `"[1] Ledig"', add modify
label define ef765_l    2 `"[2] Verheiratet zusammenlebend"', add modify
label define ef765_l    3 `"[3] Verheiratet getrennt lebend"', add modify
label define ef765_l    4 `"[4] Geschieden"', add modify
label define ef765_l    5 `"[5] 5/9 Verwitwet(5); eingetragener Lebenspartner verstorben(9)"', add modify
label define ef765_l    6 `"[6] Eingetragene Lebenspartnerschaft zusammenlebend"', add modify
label define ef765_l    7 `"[7] Eingetragene Lebenspartnerschaft getrennt lebend"', add modify
label define ef765_l    8 `"[8] Eingetragene Lebenspartnerschaft aufgehoben"', add modify

lab val ef1    ef1_l
lab val ef3    ef3_l
lab val ef4    ef4_l
lab val ef5a   ef5a_l
lab val ef5b   ef5b_l
lab val ef6    ef6_l
lab val ef7    ef7_l
lab val ef12   ef12_l
lab val ef17   ef17_l
lab val ef29   ef29_l
lab val ef30   ef30_l
lab val ef31   ef31_l
lab val ef37   ef37_l
lab val ef44   ef44_l
lab val ef45   ef45_l
lab val ef46   ef46_l
lab val ef47   ef47_l
lab val ef63   ef63_l
lab val ef225  ef225_l
lab val ef287  ef287_l
lab val ef289  ef289_l
lab val ef290  ef290_l
lab val ef309  ef309_l
lab val ef310  ef310_l
lab val ef311  ef311_l
lab val ef312  ef312_l
lab val ef371  ef371_l
lab val ef413  ef413_l
lab val ef436  ef436_l
lab val ef438  ef438_l
lab val ef443  ef443_l
lab val ef451  ef451_l
lab val ef455  ef455_l
lab val ef563  ef563_l
lab val ef570  ef570_l
lab val ef663  ef663_l
lab val ef707  ef707_l
lab val ef708  ef708_l
lab val ef747  ef747_l
lab val ef765  ef765_l
lab val ef952  ef952_l
* ------------------------------------------------------------------------------

compress

save panel_v1b.dta, replace

log close

